Skip to main content
GET
Retrieve notification runs

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

notificationTypes
enum<string>[]

The type of notification.

Available options:
INITIATIVE_CREATION,
INITIATIVE_CUSTOM_SCHEDULE,
INITIATIVE_N_DAYS_LEFT,
SERVICE_REEVALUATED,
WEEKLY_REPORT,
BROKEN_OPEN_API_SPEC,
ENTITLEMENT_EXPIRATION,
ONCALL_ASSISTANT,
ONBOARDING_MESSAGE,
NOTIFY_INVALID_INTEGRATION,
ONCALL_PERSON_CHANGED,
ONCALL_STARTS_IN_N_DAYS,
TEAM_MEMBER_INVITATION,
PENDING_RULE_EXEMPTION,
TOKEN_EXPIRES_IN_N_DAYS,
SCHEDULED_SCORECARD_RULE_CREATION,
SCORECARD_RULE_ACTIVATES_IN_N_DAYS,
WORKFLOW_STATUS_UPDATE,
WORKFLOW_APPROVAL_PENDING,
VERIFICATION_PERIOD_STARTED,
VERIFICATION_PERIOD_REMINDER,
AI_ASSISTANT_WELCOME_MESSAGE,
ENTITY_SCORE_DROPPED,
ONBOARDING_WIZARD_STATE_COMPLETED,
EXPORT_COMPLETED
statuses
enum<string>[]

The status of the notification.

Available options:
CREATED,
FAILED,
IGNORED,
COMPLETED,
COMPLETED_WITH_ERRORS
mediums
enum<string>[]

The medium used to send the notification.

Available options:
SLACK,
MICROSOFT_TEAMS,
EMAIL,
WEBHOOK
ignoredReasons
enum<string>[]

The reason why a notification run was ignored.

Available options:
SCORECARD_DISABLED,
WORKSPACE_DISABLED,
NO_RECIPIENTS
failedReasons
enum<string>[]

The reason why a notification run failed.

Available options:
PACKET_GENERATOR_ERROR,
CONTEXT_RESOLUTION_ERROR,
INTERNAL_ERROR
includeObjects
boolean
default:false

Whether to include the objects associated with the notification run.

fromDate
string<date-time>

The ISO date and time to start the search from.

untilDate
string<date-time>

The ISO date and time to end the search at.

deliveredOnly
boolean
default:true
pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

orderBy
enum<string>
default:DESC

Sort the results ascending or descending.

Available options:
ASC,
DESC

Response

Successfully retrieved notification runs

page
integer<int32>
required

Current page number, 0-indexed

runs
object[]
required
total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages

Last modified on September 29, 2026